API Health Check
curl --request GET \
--url https://api-sandbox.letshum.com/ping \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.letshum.com/ping"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.letshum.com/ping', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "🎤 We're humming along!",
"timestamp": "2024-09-20T23:13:31.179Z"
}{
"message": "Unauthorized access",
"request_status": "warning",
"request_id": "3f1c3c07-785d-4c59-97dd-25cb38f670d7"
}{
"error": "Request rejected",
"message": "The request was rejected due to security concerns",
"status": 415
}{
"message": "Rate limit exceeded. Please try again later.",
"request_status": "warning",
"request_id": "3f1c3c07-785d-4c59-97dd-25cb38f670d7"
}Health Check
API Health Check
Simple health check endpoint to verify API availability and authentication status. Use this endpoint for monitoring and to validate API tokens.
Use Cases
- Monitoring API health
- Validating API tokens
- Testing CORS configuration
- Checking rate limits
Response Times
- Expected: < 100ms
- Warning: > 500ms
- Critical: > 1000ms
Monitoring Guidelines
- Poll every 60 seconds
- Implement circuit breaker pattern
- Track response times
- Monitor error rates
Example Response
{
"message": "🎤 We're humming along!",
"timestamp": "2026-07-13T16:26:17.874Z"
}
GET
/
ping
API Health Check
Authorizations
Bearer token authentication using API tokens.
Include the token in the Authorization header as: Authorization: Bearer <token>
Obtain tokens from your Hum representative or contact support@letshum.com. There is no self-serve API key dashboard.
Was this page helpful?
